// Fill out your copyright notice in the Description page of Project Settings.


#include "Manager/CsdkSubsystem.h"
#include "Manager/CsdkManager.h"

void UCsdkSubsystem::Initialize(FSubsystemCollectionBase& Collection)
{
	Super::Initialize(Collection);
#if UE_SERVER	
	return;
#endif
	FCsdkManager::GetInstance().Register(this);
}

void UCsdkSubsystem::Deinitialize()
{
	Super::Deinitialize();
#if UE_SERVER	
	return;
#endif
	FCsdkManager::GetInstance().Unregister();
}





